class AutomaticSortingArray
{
  Vector mKey;
  Vector mVal;
  boolean mOrder;

  // constructor  
  AutomaticSortingArray( boolean bOrder )
  {
    mKey = new Vector();
    mVal = new Vector();
    mOrder = bOrder;  // true: ascending, false; descending
  }
  
  // data insertion
  void add(int key, int val)
  {
    // comparing each val with vals in container and
    // finding appropriate insertion position
    int i=0;
    for( ; i<mKey.size(); i++ )  {
      if(
        (mOrder==true && ((Integer)mVal.get(i)).intValue() > val) ||
        (mOrder==false && ((Integer)mVal.get(i)).intValue() < val ) )  {
        break;  // found!
      }
    }
    
    mKey.add(i, key);
    mVal.add(i, val);
  }
  
  // getting data at specified index
  int getValue(int idx)
  {
    return ((Integer)mVal.get(idx)).intValue();
  }

  int getKey(int idx)
  {
    return ((Integer)mKey.get(idx)).intValue();
  }
  
  int size()
  {
    return mVal.size();
  }
}
